<mat-card class="u-card">
  <a [routerLink]="['/playlist/', itemId]">
    <mat-card-header>
      <mat-card-title>{{ title }}</mat-card-title>
      <mat-card-subtitle>{{ subTitle }}</mat-card-subtitle>
    </mat-card-header>
    <img
      class="u-card-image"
      mat-card-image
      src="https://material.angular.io/assets/img/examples/shiba2.jpg"
      alt="Photo of a Shiba Inu"
    />
    <mat-card-content>
      <p *ngFor="let item of list | slice:0:2; trackBy:trackById">
        <strong>{{ item.artist }}</strong> - {{ item.name }}
      </p>
    </mat-card-content>
  </a>
  <mat-card-actions fxLayoutAlign="space-between center">
    <div>
      <button  mat-icon-button color="primary" aria-label="Example icon button with a home icon">
        <mat-icon svgIcon="u-play"></mat-icon>
      </button>
      <button mat-icon-button color="primary" aria-label="Example icon button with a home icon">
        <mat-icon svgIcon="u-pause"></mat-icon>
      </button>
    </div>
    <button class="u-btn-delete" mat-icon-button color="primary" aria-label="Example icon button with a home icon">
      <mat-icon svgIcon="u-delete" (click)="deleteItem(itemId)"></mat-icon>
    </button>
  </mat-card-actions>
</mat-card>
